%define nordugrid_location /opt/nordugrid
%define monitor_prefix     %{nordugrid_location}/share/gridmonitor

%{?enable_experimental:  %define enable_experimental --enable-experimental}
%{!?enable_experimental: %define enable_experimental %{nil}}

%{!?release_tag: %define release_tag %{nil}}
%{!?bootstrap: %define bootstrap no}

Summary: NorduGrid ToolKit
Name: nordugrid
Version: 0.3.34
Release: 1%{release_tag}
URL: http://www.nordugrid.org/
Source: %{name}-%{version}.tar.gz
Prefix: %{nordugrid_location}
Prefix: %{monitor_prefix}
Prefix: /etc
License: GPL
Group: NorduGrid
BuildRoot: %{_tmppath}/%{name}-root

%description
NorduGrid ToolKit

%package client
Summary: NorduGrid client tools
Group: NorduGrid
%description client
 This package contains the NorduGrid client tools.

%package server
Summary: NorduGrid grid-manager and gridftp-server
Group: NorduGrid
Requires: wget, libxml2
#BuildRequires: gsoap
#BuildRequires: mysql-devel
%description server
 This package contains the NorduGrid server binaries and information system.
 This includes the grid-manager, gridftp-server and information providers.

%package gridmap-utils
Summary: NorudGrid authorization tools
Group: NorduGrid
Requires: perl-perl-ldap
Requires: perl-libwww-perl
Obsoletes: nordugrid-auth <= 0.23.3
%description gridmap-utils
 This package contains the NorduGrid authorization machinery.

%package ca-utils
Summary: NorduGrid authentication tools
Group: NorduGrid
%description ca-utils
 This package includes authentication utilities. At the moment it is limited to
 the CRL update script.

%package monitor
Summary: NorduGrid Grid Monitor
Group: NorduGrid
%description monitor
 This package includes the scripts for the NorduGrid Grid Monitor. The
 main monitor can be viewed from the NorduGrid web site. This package
 requires a web server.

%package doc
Summary: NorduGrid Documentation
Group: NorduGrid
%description doc
 This package includes the NorduGrid documentation.

%prep
%setup -q

%build
if test "%{bootstrap}" = "yes" ; then
  ./bootstrap
fi
CXXFLAGS=-g CFLAGS=-g  ./configure --with-nordugrid-location=%{nordugrid_location} \
                                   --with-monitor-prefix=%{monitor_prefix} %{enable_experimental}\
			           && make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm ${RPM_BUILD_ROOT}%{nordugrid_location}/lib/*plugin*{.a,.la}

# Make filelists
for i in config/nordugrid-*.files ; do
  module=`basename $i .files | cut -f2- -d-`
  config/mkfilelist $module rpm > `basename $i`
done

%clean
rm -rf $RPM_BUILD_ROOT

%files server -f nordugrid-server.files
%defattr(-,root,root)

%files client -f nordugrid-client.files
%defattr(-,root,root)

%files gridmap-utils -f nordugrid-gridmap-utils.files
%defattr(-,root,root)

%files ca-utils -f nordugrid-ca-utils.files
%defattr(-,root,root)

%files monitor -f nordugrid-monitor.files
%defattr(-,root,root)

%files doc -f nordugrid-doc.files
%defattr(-,root,root)

%changelog
* Fri May  3 2002 Anders Waananen <waananen@nbi.dk>
- Initial build.
